Package org.opensaml.saml.saml2.core

# Enum Class AuthnContextComparisonTypeEnumeration

java.lang.Object
java.lang.Enum<AuthnContextComparisonTypeEnumeration>
org.opensaml.saml.saml2.core.AuthnContextComparisonTypeEnumeration

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthnContextComparisonTypeEnumeration>`, `Constable`

public enum AuthnContextComparisonTypeEnumeration extends Enum<AuthnContextComparisonTypeEnumeration>
Enumeration of `RequestedAuthnContext` comparison types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BETTER`
"better" comparison type.
`EXACT`
"exact" comparison type.
`MAXIMUM`
"maximum" comparison type.
`MINIMUM`
"minimum" comparison type.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`comparisonType`
The comparison type string.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AuthnContextComparisonTypeEnumeration(String newComparisonType)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static AuthnContextComparisonTypeEnumeration`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthnContextComparisonTypeEnumeration[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXACT

public static final AuthnContextComparisonTypeEnumeration EXACT
"exact" comparison type.

### MINIMUM

public static final AuthnContextComparisonTypeEnumeration MINIMUM
"minimum" comparison type.

### MAXIMUM

public static final AuthnContextComparisonTypeEnumeration MAXIMUM
"maximum" comparison type.

### BETTER

public static final AuthnContextComparisonTypeEnumeration BETTER
"better" comparison type.

## Field Details

### comparisonType

@Nonnull @NotEmpty private String comparisonType
The comparison type string.

## Constructor Details

### AuthnContextComparisonTypeEnumeration

private AuthnContextComparisonTypeEnumeration(@Nonnull @NotEmpty String newComparisonType)
Constructor.

Parameters:
  `newComparisonType` - the comparison type string

## Method Details

### values

public static AuthnContextComparisonTypeEnumeration[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthnContextComparisonTypeEnumeration valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<AuthnContextComparisonTypeEnumeration>`